Warehouse Column
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
PATCH | |
DELETE |
List all warehouse column annotations
Read and edit semantic descriptions of warehouse tables and columns surfaced to the AI agent.
List can be filtered to one table with ?table_id=<uuid>. Any create or update is treated as a
user edit (is_user_edited=True), which protects the row from being overwritten by automatic
enrichment. Create upserts on (table, column_name); the table cannot be changed after creation.
Required API key scopes
warehouse_table:readQuery parameters
- limitinteger
- offsetinteger
- table_idstring
Response
Example request
GET /api /projects /:project_id /warehouse_column_annotationsExample response
Status 200
Create warehouse column annotations
Read and edit semantic descriptions of warehouse tables and columns surfaced to the AI agent.
List can be filtered to one table with ?table_id=<uuid>. Any create or update is treated as a
user edit (is_user_edited=True), which protects the row from being overwritten by automatic
enrichment. Create upserts on (table, column_name); the table cannot be changed after creation.
Required API key scopes
warehouse_table:writeRequest parameters
- tablestring
- column_namestring
- descriptionstring
Response
Example request
POST /api /projects /:project_id /warehouse_column_annotationsExample response
Status 201
Retrieve warehouse column annotations
Read and edit semantic descriptions of warehouse tables and columns surfaced to the AI agent.
List can be filtered to one table with ?table_id=<uuid>. Any create or update is treated as a
user edit (is_user_edited=True), which protects the row from being overwritten by automatic
enrichment. Create upserts on (table, column_name); the table cannot be changed after creation.
Required API key scopes
warehouse_table:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /warehouse_column_annotations /:idExample response
Status 200
Update warehouse column annotations
Read and edit semantic descriptions of warehouse tables and columns surfaced to the AI agent.
List can be filtered to one table with ?table_id=<uuid>. Any create or update is treated as a
user edit (is_user_edited=True), which protects the row from being overwritten by automatic
enrichment. Create upserts on (table, column_name); the table cannot be changed after creation.
Required API key scopes
warehouse_table:writePath parameters
- idstring
Request parameters
- tablestring
- column_namestring
- descriptionstring
Response
Example request
PATCH /api /projects /:project_id /warehouse_column_annotations /:idExample response
Status 200
Delete warehouse column annotations
Read and edit semantic descriptions of warehouse tables and columns surfaced to the AI agent.
List can be filtered to one table with ?table_id=<uuid>. Any create or update is treated as a
user edit (is_user_edited=True), which protects the row from being overwritten by automatic
enrichment. Create upserts on (table, column_name); the table cannot be changed after creation.
Required API key scopes
warehouse_table:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /warehouse_column_annotations /:id